PDA

View Full Version : versions going backwards? (action seq. plugin)



roth
05-08-2006, 04:54 AM
Hi

I had Eclipse + pentaho-action-sequence-plugin_1.1.4.128.zip installed until today, which yields a plugin version of 1.1.4.128 when looking at the version of the action sequence plugin in Eclipse under menu Help->About Eclipse SDK->Plug-In Details

Today I downloaded pentaho-action-sequence-plugin_1.1.5.151.zip, and now I get version 0.9.2.0.

And Design Studio shows 0.9.2.0 for both build 1.1.4 and 1.1.5.

What is going on?

Thanks, Tobias

bhagan
05-10-2006, 10:35 AM
Hi Tobias,

This was a problem in the plugin build process in which the manifest file was not updated with the correct Bundle-Version. This will be fixed in the next release.

Simply attempting to update the Bundle-Version in
eclipse/plugins/org.pentaho.workbench.editors.actionsequence_version/META-INF/MANIFEST.MF
and restarting eclipse won't change the version number in the About Eclipse SDK Plug-ins dialog.

If you create the an eclipse project for the plugin, you could load the plugin.xml file, update the Version field, and run through the Export Wzard. Then you could redeploy the plugin and the version should appear correctly.

Thanks for the catch,

Brian